{{- $title := .Get "title" }}
{{- $id := .Get "id" -}}
{{- $data := index site.Data (.Get "id") }}

{{- .Page.Store.Add "sections" (dict "title" $title "id" $id) -}}

<section id="{{ $id }}" class="papers">
	<div class="page-header">
		<h2>{{ $title }}</h2>
	</div>

	<ul class="list">
		{{ range $data }}
			<li class="item">
				<div>
					<span class="title">{{ .title }}</span>
					{{- $protoPath := fmt.Printf "/papers/%s" (replace .title "." "") | urlize -}}
					{{ with resources.Get (fmt.Print $protoPath ".pdf") }}
						<a class="pdf" target="_blank" href="{{ .Permalink }}">[PDF]</a>
					{{ end }}
					{{ with .video }}
						<a class="video" target="_blank" href="{{ . }}">[Video]</a>
					{{ end }}
				</div>
				<div class="authors">{{ .authors }}</div>
			</li>
		{{ end }}
	</ul>
</section>
